获取命名空间详情 | 大装置帮助中心
跳到主要内容

获取命名空间详情

数据面接口,使用数据面Endpoint。

接口描述

GET /ccr/v1/subscriptions/{subscription_name}/resourceGroups/{resource_group_name}/zones/{zone}/namespaces/{namespace_name}/info

请求参数(Request Parameters)

名称类型必须位置默认值约束/取值描述
subscription_namestringpath--订阅名称
resource_group_namestringpath--资源组名称
zonestringpath--可用区
namespace_namestringpath-长度 ≤63;小写字母/数字;支持分隔符 ._-命名空间名称

请求示例(Request Example)

curl --request GET 'https://compute.cn-sh-04.sensecoreapi.dev/ccr/v1/subscriptions/{subscription_name}/resourceGroups/{resource_group_name}/zones/{zone}/namespaces/{namespace_name}/info' \
-H 'accept: application/json' \
-H 'authorization: Bearer <token>'

响应参数(Response Parameters)

返回 NamespaceInfo 对象。

响应示例(Response Example)

{
"name": "{namespace_name}",
"storageLimit": "21474836480",
"accessLevel": true,
"tenantCode": "{tenant_code}",
"userName": "{username}",
"externalUri": "registry.cn-sh-04.sensecore.dev",
"annotations": {
"capacity": "20",
"capacity_unit": "GB",
"creator_name": "wangwei19",
"tenant_code": "acptest"
},
"createTime": "2026-07-13T09:09:43.767475Z",
"updateTime": "2026-07-13T09:09:43.767476Z",
"repoCount": "3",
"storageUsed": "116164602",
"exposeSwitch": true
}